## abci 0.0~git20170124.0.f94ae5e

=== Makefile ===
.PHONY: all test get_deps

all: protoc install test

NOVENDOR = go list github.com/tendermint/abci/... | grep -v /vendor/

protoc:
	protoc --go_out=plugins=grpc:. types/*.proto

install:
	go install github.com/tendermint/abci/cmd/...

test:
	go test `${NOVENDOR}`
	bash tests/test.sh

test_integrations: get_vendor_deps install test

get_deps:
	go get -d `${NOVENDOR}`

get_vendor_deps:
	go get github.com/Masterminds/glide
	glide install

=== debian/changelog ===
abci (0.0~git20170124.0.f94ae5e-2) unstable; urgency=medium

  * Fix Depends, add all missing dependencies
  * wrap-and-sort -a -s

 -- Alessio Treglia <alessio@debian.org>  Sat, 28 Jan 2017 12:30:00 +0000

abci (0.0~git20170124.0.f94ae5e-1) unstable; urgency=medium

  * Initial release (Closes: #838128)

 -- Alessio Treglia <alessio@debian.org>  Wed, 25 Jan 2017 20:23:08 +0000

=== debian/control ===
Source: abci
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-golang,
 golang-any,
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-go-crypto-dev,
 golang-github-tendermint-go-db-dev,
 golang-github-tendermint-go-logger-dev,
 golang-github-tendermint-go-merkle-dev,
 golang-github-tendermint-go-process-dev (>= 0.1~20170125~0gitb27edfd),
 golang-github-tendermint-go-wire-dev,
 golang-github-urfave-cli-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev
Standards-Version: 3.9.8
Homepage: https://github.com/tendermint/abci
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/abci.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/abci.git
XS-Go-Import-Path: github.com/tendermint/abci

Package: abci
Architecture: any
Built-Using: ${misc:Built-Using}
Depends:
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-go-crypto-dev,
 golang-github-tendermint-go-db-dev,
 golang-github-tendermint-go-logger-dev,
 golang-github-tendermint-go-merkle-dev,
 golang-github-tendermint-go-process-dev (>= 0.1~20170125~0gitb27edfd),
 golang-github-tendermint-go-wire-dev,
 golang-github-urfave-cli-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Tendermint's Serverside Blockchain API
 Blockchains are a system for multi-master state machine replication.
 ABCI (Application BlockChain Interface) is an interface that defines
 the boundary between the replication engine (the blockchain), and the
 state machine (the application). By using a socket protocol, Tendermint
 enable a consensus engine running in one process to manage an
 application state running in another.
 .
 Previously, the ABCI was just referred to as TMSP.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang


override_dh_install:
	dh_install
	mv $(CURDIR)/debian/abci/usr/bin/abci-cli .
	rm -rf $(CURDIR)/debian/abci/usr/bin/*
	mv abci-cli $(CURDIR)/debian/abci/usr/bin/
